import React from 'react';
import { IOptionProps, OptionLabelKey } from '../../../@types';
export interface IOptionItemProps<T> {
    /**
     * Defines the option item layout and appearance
     */
    className?: string;
    /**
     * Defines Downshift item props
     */
    getItemProps: (props: any) => any;
    /**
     * Defines option item index for hovered or highlighted
     */
    highlightedIndex: number;
    /**
     * Defines the appearance of the selected item
     */
    iconClass?: string;
    /**
     * Defines the selected icon & it's appearance
     */
    iconType?: string;
    /**
     * Defines the order of the option item
     */
    index: number;
    labelKey?: OptionLabelKey;
    /**
     * Defines the option details for each list item
     */
    option: T;
    /**
     * Defines the list option component
     */
    renderOptionLabel?: (props: any) => React.ReactNode;
    /**
     * Defines the selected item
     */
    selected: T;
    /**
     * Defines avatar visibility in each option
     */
    showAvatar?: boolean;
}
export declare const AutocompleteItem: React.ForwardRefExoticComponent<IOptionItemProps<IOptionProps> & React.RefAttributes<unknown>>;
//# sourceMappingURL=AutocompleteItem.d.ts.map