import React from 'react';
export declare type NotificationTypes = 'error' | 'info' | 'success' | 'warning';
export interface INotificationProps extends React.ComponentPropsWithoutRef<'div'> {
    /**
     * Sets the action for the notification, a button will be visible once this is specified
     */
    onAction?: () => void;
    /**
     * Sets the action title for the notification.
     */
    actionTitle?: string;
    /**
     * Sets icon type to the Action button
     */
    actionIconType?: string;
    /**
     * Sets icon class to the Action button
     */
    actionIconClass?: string;
    /**
     * Sets the description of the notification
     */
    description?: string;
    /**
     * Sets the location of action button to bottom
     */
    isToast?: boolean;
    /**
     * Type decides appearance of the notification.
     */
    type: NotificationTypes;
    /**
     * Sets the label of the notification
     */
    label?: string;
    /**
     * Sets the close action of the notification
     */
    onClose?: () => void;
}
export declare function Notification({ actionIconClass, actionIconType, actionTitle, onAction, description, className, children, isToast, label, type, onClose, ...rest }: INotificationProps): JSX.Element;
//# sourceMappingURL=Notification.d.ts.map