import { ComponentPropsWithoutRef } from 'react';
import { ButtonSizes, Variant } from '../../../@types';
export interface IButtonProps extends ComponentPropsWithoutRef<'button'> {
    /**
     * Defines if the button is disabled
     */
    disabled?: boolean;
    /**
     * Defines the focus offset color between button and ring
     */
    focusOffsetColor?: string;
    /**
     * Defines the icon style
     */
    iconClass?: string;
    /**
     * Defines icon only button
     */
    isOnlyIcon?: boolean;
    /**
     * Defines the background & text color of the button
     */
    variant?: keyof typeof Variant;
    /**
     * You can only set 'size' for regular button as 'lg' or 'xl'. 'size' by default 'lg'
     */
    size?: keyof typeof ButtonSizes;
    /**
     * You can not define 'isOnlyIcon' with regular button
     */
    iconType?: string;
}
//# sourceMappingURL=types.d.ts.map